installer gFTP

Tom45

Membre confirmé
1 Juillet 2005
73
1
37
Salut !
Comme vous pouvez le lire dans le titre j'aimerais installer gFTP. J'ai telecharger l'archive gftp-2.0.18.tar.gz sur le site officiel, mais je m'y connais pa trop en UNIX, je n'arrive pa à installer le logiciel. J'ai bien essayé quelques truc en faisant une recherche sur le forum mais sans succès :)
Voilà donc si quelqu'un pouvait me donner un coup de pouce...
Merci ;)
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
donc j'ai téléchargé le truc, et je vais tenté d'essayer de t'expliquer pour que tu comprenne...

  • Quand tu télécharge le logiciel, par défaut, tu récupère sur ton bureau un fichier nommé gftp-2.0.18.tar
  • En double cliquant dessus, le fichier se décompresse, et arrive alors un dossier gftp-2.0.18
  • Tu lance alors l'application Terminal qui se trouve dans le dossier Utilitaires
  • Tu tape ici les commandes suivantes :
    • cd ~/Desktop/gftp-2.0.18
    • ./configure
    • make
  • Si tout se passe bien tu tappe la commande suivante :
    • make install
  • Et normalement c'est bon...

Après, pour la suite, on verra plus tard :)
 

Thierry6

Membre actif
29 Avril 2003
876
30
Ailleurs
l'autre solution étant de l'installer avec par exemple fink ;
voir aussi les multiples fils sur Fink dans cette liste.
Si tu ne dois installer que gFTP, ça va être un peu lourd mais c'est une porte grande ouverte vers tout un tas d'applications Unix.

j'avais installé gFTP il y a un ou deux ans et le trouvais pas mal.
 

Tom45

Membre confirmé
1 Juillet 2005
73
1
37
El_ChiCo j'ai suivi tes conseils mais qd je tape la commande ./configure à la fin de l'éxécution j'ai un message d'erreur : "configure: error: gFTP needs GLIB 1.2.3 or higher". Il faut donc que j'installe glib mais c'est encore un tar.gz et je ne sais pas l'installer, donc je tourne en rond :(
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
Donc j'ai récupéri glib ici (lien direct vers le téléchargement). C'est une version 2.2.3 mais je pense que les manips à faire pour installer une autre version sont semblables.

Comme le précédent package, une fois décompressé, tu obtient un dossier glib-2.2.3 sur le bureau..

Toujours avec le terminal, tu tape les commandes :
  • cd ~/Desktop/glib-2.2.3
  • ./configure
  • make
  • sudo rm -rf /install-prefix/include/glib.h /install-prefix/include/gmodule.h
    Pour cette commande, il ca de demander ton mot de passe. Quand tu tape ton mot de passe, ne t'inquiète pas, rien ne s'affiche, c'est normal.
  • make install

Ensuite, tu peux recommencer la procédure expliquée hier pour gFTP. Ca devrait être mieux...
 

Tom45

Membre confirmé
1 Juillet 2005
73
1
37
Alors la ca commence à me souler maintenant qd je veux installer glib, à la fin de l'éxécution de la commande ./configure j'ai encore une erreur il me manque pkg-config. Il faut que je trouve ce package et après que je l'installe, mais j'en reviens toujours au meme, je ne sais pa comment faire :(


Il faut vraiment que je me mette à UNIX, d'ailleurs si quelqu'un a un bon site à me proposer je suis preneur :)
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
et un client FTP plus simple, qui ne passe pas par le terminal, avec une interface graphique que pour l'installer, t'as juste à faire un glisser déposer, ca te tente pas :siffle: :siffle:
 

Tom45

Membre confirmé
1 Juillet 2005
73
1
37
Ba j'ai deja utilisé cyberduck mais il m'a pa convaincu notamment pour resume les fichiers, il me retelechargeait des fichiers que j'avais deja en integralité.
Et puis c pa la solution de se rabattre sur l'option la plus simple, j'aimerais bien réussir a installer ce gftp. Mais bon je comprend que tu commence à trouver ca long !
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
ben plus que trouver ça long, c'est surtout faire ça a distance qui est dur... Je n'ai rien contre le fait de chercher des solutions, mais par internet, sans voir avec précision les problèmes que tu rencontre c'est plus délicat...
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
donc j'ai trouvé aussi le pkgconfig ici (pareil que tout à l'heure, lien direct vers le téléchargement) en version 0.15.0.

Et comme d'habitude,
décompression,
Terminal,
Commandes :
  • cd ~/Desktop/pkgconfig-0.15.0
  • ./configure
  • make
  • make check
  • make install

Ensuite, il faut que tu me dise quel est le truc qui te manque,

Et on recommence :D :D


Et si par miracle ça marche, tu recommence la procédure pour glib, puis celle pour gFTP
 

Tom45

Membre confirmé
1 Juillet 2005
73
1
37
Oue c vrai que c pa facile par internet mais je vois pa d'autre moyen:nailbiting:

Pendant que tu etais en train de poster j'ai moi aussi essayé d'installer pkg-config, ds le message d'erreur de glib il y avait une url pour le prendre. J'ai pris la 0.20, j'ai lu le fichier INSTALL, toutes les commandes ce sont executées sans pb, sauf "make install", j'ai une erreur : "mkdir: /usr/local/bin: Permission denied". Je comprend pa je suis le seul utilisateur de l'ordi donc j'ai forcement tout les droits :eek:

Je te remercie pour ta patience !
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
oui tu as tous les droits, mais de temps en temps, il faut lui rappeler a l'ordinateur...
Et pour ca, il faut que tu tappe sudo avant ta commande
sudo make install
En fait, sudo, c'est l'abrégé de Super User Do ...
Et pour que tu t'active ent ant que super user, il va te demander ton mot de passe.
Et quand tu le rentre donc, ca n'écrit rien.
 

Tom45

Membre confirmé
1 Juillet 2005
73
1
37
Merci pour la definition de sudo, ca ma permis d'installer pkg-config ;)
Deja une chose de faite.
Mais ca a toujours pa résolu le pb de glib, qd je tape ./configure, il trouve toujours pa pkg-config, pourtant il est bien ds /usr/local/bin :eek:
Comment je pourrais lui indiquer où il se trouve ?
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
Excuse-moi pour le temps de réponse, je n'ai pas vu que tu avais répondu... D'habitude il me prévient...
Bref.

en fait, $PATH est une variable du système qui contient les répertoires dans lesquels il doit chercher les exécutables. C'est à dire que quand tu tappe une commande dans ton terminal, il va voir dans /bin ce que fait cette commande. S'il ne la trouve pas dans /bin, il essaye dans /sbin, puis dans /usr/bin puis dans /usr/sbin.
Au passage, si tu vas dans le dossier /bin, tu trouveras toutes les commandes de base genre cd, rm, mkdir et autre...

Et la commande echo te permet d'afficher la valeur de la variable qui suit le $



maintenant, le .configure de glib à besoin d'exécuter pkg-config. donc pour l'exécuter, c'est un peu comme si le programme d'installation tapait la commande pkg-config.
Mais le système n'a pas pu trouver cette commande dans les répertoires dans lesquels il a cherché puisque le truc s'est installé dans le dossier /usr/local/bin, et non dans un des 4 dossier qui sont actuellement dans ton $PATH.

Donc pour ajouter le bon dossier à ta variable d'environnement, tu tappe la commande
PATH=$PATH:/usr/local/bin
Tout simplement, dans la variable PATH, tu enregistre l'état actuel de la variable ($PATH), et tu colle après ":/usr/local/bin"

Pour vérifier que la commande à bien marché, tu tape echo $PATH

Et si l'ajout à bien été effectué, tu relance le ./configure de glib.
 

Tom45

Membre confirmé
1 Juillet 2005
73
1
37
Bon j'ai enfin installer pkg-config et glib, mais j'ai toujours le meme probleme avec gftp. Quand j'execute la commande ./configure, il me dit qu'il trouve pa glib. Je pense qu'il faut que je change valeur de la variable PATH, mais j'ai aucune idee où ce trouve glib. Y aurait pa une commande qui me permettrait de le retrouver ?
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
tu peux essayer la commande locate glib
Sinon, j'ai lu que par défaut, il s'installe dans /usr/local si j'ai bien compris le truc....
 

Tom45

Membre confirmé
1 Juillet 2005
73
1
37
Bon jvais paraitre chiant mais vu le nombre de packages k'il faut installer pour installer glib 2.8.4, j'ai décidé de tout désinstallé avec les commandes "make clean" et "make distclean". Déja est-ce ke les packages sont bien désinstallé proprement et complètement, ou est-ce k'il faut taper une autre commande ?

Sinon je souhaite toujours installer gftp. En sur le site c'est marqué "Requirement : GTK+ 1.2.3 or higher". J'ai donc pris GTK+ 1.2.10 et Glib 1.2.10, qui est la dernière version 1.2.X.

Le pb c'es que qd je lance "./configure" dans glib-1.2.10 j'ai un message d'erreur : "checking host system type... configure: error: can not guess host type; you must specify one".
il faut que je spécifie le host avec la commande "./configure --host=HOST", c'est ce que j'ai compris en lisant l'aide. Mais alors qu'est-ce ke je mais comme HOST ? Faut mettre le type du systeme ?
 

El_ChiCo

Membre expert
Club MacG
18 Octobre 2000
2 470
271
36
a priori, je serais tenté de dire que les commandes clean et distclean suffissent et qu'elles font le travail correctement.

Et puis pour ce que tu dois mettre dans --host alors là... je ne sais pas trop ce qu'il attend... Si c'est le nom de ta machine ou quoi... Il faudrait que je lise l'aide mais ce soir je manque un peu de temps...

Sinon, d'ajouter /usr/local dans $PATH ca n'a pas marché ?